Installing Weather Watcher
Minimum Requirements:

· IBM compatible PC
· Windows 98, Windows 2000, Windows XP, or Windows Vista
· 12 MB free disk space

Installation:

Weather Watcher should be installed using the Weather Watcher setup. The current Weather Watcher setup can be downloaded from www.GetWeatherWatcher.com .

The Weather Watcher setup was created using Inno Setup . The setup process can customized using the available setup command line parameters .

Settings Locations:

Weather Watcher stores your personal settings in the Weather Watcher program folder and the following Windows registry key:

HKEY_CURRENT_USER\Software\VB and VBA Program Settings\Weather Watcher

Upgrading:

Newer versions of Weather Watcher can be installed over an older version. Ensure Weather Watcher is closed before attempting to run the new setup. Weather Watcher can be closed by choosing Exit from the Weather Watcher system tray menu.

Note: There have been issues with older versions of Weather Watcher that prevented Weather Watcher from closing when using the Exit menu item. If you run into a similar situation, then press ALT+CTRL+DEL to open the Windows Task Manager, and end all ww.exe and dl.exe processes from the Processes tab of the Windows Task Manager window.


Technical Support
Support Forums:

The Weather Watcher support forums are a great place to start if you are in search of answers that cannot be found in this manual.

http://www.SingersCreations.com/Forum

Bug Report:

Bug Reports can be submitted from the following link:

http://www.SingersCreations.com/BugReport.asp?Application=Weather%20Watcher

Tips for Submitting Bug Reports:

1. Don't report bugs about old versions. New bugs are fixed every time a new version of Weather Watcher is released. Before submitting a Bug Report, please upgrade to the latest version to make sure the bug you are experiencing still exists.

2. Always search the support forums first. The odds are good that if you've found a problem, someone else has found it too.

3. Don't leave out any important details. What did you do? What did you expect to happen? What actually happened? Include as much relevant information as possible.


Obtaining Updates
New Weather Watcher releases can be downloaded from www.GetWeatherWatcher.com .

Note: The download links at www.GetWeatherWatcher.com will often redirect to other download locations in order to spread out bandwidth usage. If you are using a download helper, you might have to disable it in order to be redirected to the download location.


Active City Options
Use the Active City Options to set the city for which the weather is retrieved. While more than one city can be added to the "Active City" dropdown box, the weather information can only be displayed for one city at a time.

You can easily switch the active city from the "Change Active City" menu item in the Weather Watcher system tray menu. This menu can also be accessed by right- clicking the main Weather Watcher interface.

The weather data is only locally stored for the selected (active) city. When you change the city, Weather Watcher must retrieve the weather data for your newly selected city.

Add City: Click this button to open the Weather Watcher City Search window. The City Search window will allow you to add a new city by city name.

Add Code: Click this button to add a new city by US zip code or weather.com city code. The weather.com city code is the code found in the URL when viewing the weather for the city to add at weather.com.

Example:
http://www.weather.com/weather/local/USPA0679?from=search_city

Edit City: Click this button to edit the name of the selected Active City. This is the name that appears at the t

Remove City: Click this button to remove the city that is currently selected in the "Active City" dropdown box.

Remove All: Click this button to remove all cities from the "Active City" dropdown box.


Auto Update Options
Use the Auto Update Options to set the interval at which Weather Watcher downloads the weather data from weather.com.

Forecast Auto Update Rate: Set this dropdown box to "Never auto update" if you would like to manually retrieve the weather information. Otherwise, the weather information will automatically be downloaded at the selected interval.

Only download updates when connected to the Internet: Check this box if you are using Weather Watcher on a computer that is not always connected to the Internet (e.g. dial-up connection).

Note: If you are receiving the "Internet not found" error message, then this check box must be unchecked in order to retrieve the weather information.

Auto retry every minute when update attempt fails: Check this box if you would like Weather Watcher to automatically attempt to retrieve the weather information again if the initial update attempt fails.

Set tray icon to Italic when update attempt fails: Check this box to set the Weather Watcher system tray icon font to Italic when Weather Watcher is not able to retrieve the weather data from weather.com.

Do not retrieve weather if screen saver is running: Check this box to disable the auto updates while your screen saver is active.


Conversion Options
Use the Conversion Options to specify which units of measure are used when displaying the weather information.

Display wind direction in degrees: Check this box to display the wind direction in degrees, instead of the selected wind unit.

Display tenths when using Celsius temperatures: Check this box to show the tenths place for temperature values.


Export Options
Use the Export Options to save the weather information to a local .HTML file each time the weather is updated. The local .HTML export file is replaced each time the weather information is retrieved.

Enable Exporter: Check to enable the export feature. This check box must be checked in order to set the export settings

Browse...: Click this button to set the path of the local .HTML file to export.

View Export: Click this button to view the last local .HTML file that was exported.

Delete Export: Click this button to delete the last saved export file.

Use Default Template: Click this button to use the default export template. Any of the template codes may be used to designate how the weather information is displayed when the weather information is exported.


Log Options
Use the Log Options to save the weather information to a local log file each time the weather is updated. The log file is appended each time the weather information is retrieved.

Enable Logger: Check this box to enable the log feature. This check box must be checked in order to set the log settings.

Browse..: Click this button to set the path of the local file to log.

View Log: Click this button to view the current log file.

Delete Log: Click this button to delete the last saved log file.

Use Default Template: Click this button to use the default log template. Any of the template codes may be used to designate how the weather information is displayed when the weather information is logged.


General Options
Use the General Options to set up the features that are used when Weather Watcher is started. This area also includes other miscellaneous options.

Start minimized: Check this box to keep the Weather Watcher main window minimized when Weather Watcher is started.

Set tray icon to Italic until first weather update: Check this box to set the Weather Watcher system tray icon font to Italic when Weather Watcher is started. After the first weather update has occurred, the Weather Watcher system tray icon will revert to normal text.

Retrieve forecasts: Check this box to automatically retrieve the weather information when Weather Watcher is started.

Check for new version: Check this box to automatically check if a new version of Weather Watcher has been released when Weather Watcher is started. This feature can also be accessed by clicking the "Check for New Version" menu item in the Weather Watcher system tray menu.

Load when Windows starts: Check this box to automatically start Weather Watcher when Windows is started.


Maps Options
Use the Maps Options to specify the behavior of the maps dropdown menu. The full list of maps can be accessed by right-clicking certain areas of the main Weather Watcher interface. The Map History can also be accessed from the "Map History" item in the Weather Watcher system tray menu.

View maps in default web browser: Check this box to view maps in your default web browser, rather than viewing them in the Weather Watcher Map Viewer.

Remember size of each Map Viewer window: Check this box to load each map using the same size and location in which the Weather Watcher Map Viewer window was last loaded for each loaded map.

Stretch maps to fit Map Viewer window: Check this box to ensure the maps are displayed at the best possible size when viewing maps in the Weather Watcher Map Viewer window. If unchecked, the maps might stretch beyond the height/width of the Weather Watcher Map Viewer window.

View Map: Click this button to display the map selected in the "Map History" list box.

Remove Map: Click this button to delete the selected map from the "Map History" list box.


On Download Options
Use the On Download Options to configure settings used when the weather information is downloaded.

Display time downloaded: Check this box to display the time the weather information was downloaded on the weather forecasts. This information may be missing if not using the "Splendid" interface skin.

Display time observed at weather.com: Check this box to display the time the weather information was last observed at weather.com. This information may be missing if not using the "Splendid" interface skin.

Use 24-hour time system: Check this box to display the time downloaded and/or time observed time(s). This information may be missing if not using the "Splendid" interface skin.

Disable Internet Explorer clicking sound: Check this box to disable the default Internet Explorer clicking sound that is played when the web browser loads a new webpage. Weather Watcher uses an instance of Internet Explorer to display the weather information, so the normal Internet Explorer settings will reflect how the Internet Explorer instance functions within Weather Watcher.


Proxy Options
Use the Proxy Options to configure a proxy server that uses authentication. If proxy authentication is not being used, then these options should not be modified.

Note: Weather Watcher will use the proxy server/port that you have specified within the Internet Explorer options.


Severe Alert Options
Use the Severe Alert Options to filter out unwanted severe weather alerts.

Ignore alerts that include filtered words/phrases: Click this radio button to ignore all severe weather alerts that include any of the words or phrases entered in the severe alert filter list box.

Show alerts that include filtered words/phrases: Click this radio button to show all severe weather alerts that include any of the words or phrases entered in the severe alert filter list box.

Add: After entering a new word/phrase, click this button to add your new word/phrase to the severe alert filter list box.

Remove: After selecting a word/phrase from the severe alert filter list box, click this button to remove the word/phrase.


Skins Options
Use the Skins Options to setup the look and feel of the main Weather Watcher window.

Interface Skin: Select the skin to use for the main Weather Watcher window. This skin defines the look of the outside of the main Weather Watcher window.

Forecast Skin: Select the skin to use to display the weather information within the main Weather Watcher window. This skin defines the look of the inside of the main Weather Watcher window.

Forecast Icons: Select the skin to use for the icons displayed within the weather information on the main Weather Watcher window.

Tray Icon: Select the skin to use for the icons displayed in the Weather Watcher system tray icon.

Tray Tooltip Skin: Select the skin to use for the custom tooltip window that appears while hovering the mouse pointer over the Weather Watcher system tray icon.


Sounds Options
Use the Sounds Options to specify .WAV sounds to be played when certain pre- defined events occur within Weather Watcher.

Setting a Sound:

1. Select the desired event from the "Event" dropdown box.

2. Select the desired sound to play from the "Sounds" dropdown box. If the "Sounds" dropdown box is empty, then click the Browse... button to locate the .WAV sound to play.

Search for New Sounds:

Many free .WAV sound files can be downloaded from the Internet. Try starting your search from the following link:

http://www.google.com/search?hl=en&q=free+wav


Tray Icon Options
Use the Tray Icon Options to set up the look and feel of the Weather Watcher system tray icon.

Display feels like temperature: Check this box to display the feels like temperature in the Weather Watcher system tray icon, rather than displaying the actual temperature.

Display degree symbol: Check this box to display the degree symbol in the Weather Watcher system tray icon. If this option is checked, the Weather Watcher tray icon may take up more space than is allotted by Windows in the system tray.

Hide first digit when reaching 100°: Check this box to hide the first digit of the temperature value in the Weather Watcher system tray icon. If this option is unchecked, the Weather Watcher tray icon may take up more space than is allotted by Windows in the system tray when the temperature reaches 100°.

Show tray balloon when new severe alert is retrieved: Check this box to pop up a system tray balloon when a new severe weather alert is retrieved. When the system tray balloon is displayed, either click the tray balloon to display the newly downloaded weather alert, or click the "x" to close the balloon.

Never display tenths place: Check this box to hide the tenths place in the temperature value in the Weather Watcher system tray icon. If this option is not checked, the Weather Watcher tray icon may take up more space than is allotted by Windows in the system tray (this option only applies to Celsius temperatures).

Hide sign when negative: Check this box to hide the negative sign in the temperature value in the Weather Watcher system tray icon.

Left-Double-Click Action: Select the action to perform when the Weather Watcher system tray icon is double-left-clicked.

Left-Single-Click Action: Select the action to perform when the Weather Watcher system tray icon is single-left-clicked.


Tray Tooltip Options
Use the Tray Tooltip Options to set format used when displaying the Weather Watcher system tray icon tooltip window.

Values to Show in Tray Tooltip: Select the values to display in the Weather Watcher system tray tooltip window. The values will appear in the order they are listed.

Use skinned tray tooltip window: Check this box to display the skinned Weather Watcher tooltip window, rather than the standard Windows tooltip window.

Use custom tray tooltip window location: Check this box to set the skinned tooltip window display position. When this check box is checked, the Weather Watcher skinned tooltip window will appear and follow your mouse until you choose the location and click the mouse again to set the location.

Abbreviate value descriptions: Check this box to abbreviate the descriptions printed beside each value in the Weather Watcher system tray tooltip.

Note: This setting is only recommended for use when using the standard Windows tooltip window and displaying a large number of tray tooltip values.

Hide value descriptions: Check this box to hide the descriptions printed beside each value in the Weather Watcher system tray tooltip.

Note: This setting is only recommended for use when using the standard Windows tooltip window and displaying a large number of tray tooltip values.

Hide measurement units: Check this box to hide the units printed beside each value in the Weather Watcher system tray tooltip.

Note: This setting is only recommended for use when using the standard Windows tooltip window and displaying a large number of tray tooltip values.


Wallpaper Options
Use the Wallpaper Options to configure the map to use as the Windows desktop wallpaper.

Wallpaper Auto Update: Set this drop down box to "Never auto update" if you would like to disable the Weather Watcher wallpaper feature. When an interval is set, the wallpaper can also be manually updated at any time by selecting the "Refresh Wallpaper" menu item from the Weather Watcher system tray menu.

Only update wallpaper when connected to the Internet: Check this box if you are using Weather Watcher on a computer that is not always connected to the Internet (e.g. dial-up connection).

Note: If you are receiving the "Internet not found" error message, then this check box must be unchecked in order to retrieve the weather information.

On exiting Weather Watcher, reset wallpaper: Check this box to automatically reset the Windows desktop wallpaper to the wallpaper image that was being used before Weather Watcher was started.

Do not update wallpaper of screen saver is running: Check this box to disable the wallpaper auto updates while your screen saver is active.

Update wallpaper when a severe alert is downloaded: Check this box to automatically perform a one-time wallpaper update when a severe weather alert is downloaded.

Archive wallpaper image when wallpaper is updated: When this box is checked, wallpaper images will be saved in "C:\Program Files\Weather Watcher" when the wallpaper is refreshed. The archived images are named using the current date and time for proper sorting.

Update wallpaper on Weather Watcher startup: Check this box to automatically perform a one-time wallpaper update when Weather Watcher is started.


"Internet Not Found" Error Message
To resolve this problem, uncheck the Only download updates when connected to the Internet check box in the Auto Update tab of the Weather Watcher Options window.


"Server Not Found" Error Message
Many factors can cause the "Server not found" error to appear when retrieving the weather or searching for cities. Below is a list of all known fixes.

1. Uninstall Weather Watcher using the Uninstall Weather Watcher link from the Weather Watcher folder in your Windows Start menu. Then, reinstall Weather Watcher from www.GetWeatherWatcher.com .

2. If you're using a software firewall (e.g. Zone Alarm, Norton Internet Security), then make sure your firewall is allowing Internet access to "C:\Program Files\Weather Watcher\DL.EXE". DL.EXE is used to download data from the Internet, so it must have Internet access. You can try shutting down your firewall to verify the blockage.

3. If you're using an authenticated proxy server, then make sure you complete the Proxy section of the Weather Watcher Options.

4. Make sure you are not running any other programs that might be blocking Internet access to "C:\Program Files\Weather Watcher\DL.EXE".

5. Make sure you can access www.weather.com in your web browser. It's possible that your computer is being blocked from viewing their website.

6. Try toggling your Internet Explorer Options. Open Internet Explorer, and go to "Tools" --> "Internet Options..." in the program menu. Click the "Advanced" tab and scroll down to the Security settings at the bottom. Check any option, click "Apply", uncheck the same option, and click "Apply" again.

7. Some people have found that some of the Internet Explorer Security Options are causing the problem. Unchecking the following Internet Explorer Options fixed the problem for various people:

· Do not save encrypted pages to disk
· Warn about invalid site certificates
· Warn if changing between secure and not secure mode
· Warn if forms submittal is being redirected

8. If you're using a proxy server, enable the "Use HTTP 1.1 through proxy connections" Internet Explorer Option.

9. If you're using Windows XP, install Windows SP2: http://www.microsoft.com/windowsxp/sp2/default.mspx

10.If you're using Firefox, then try running through the following steps:

· Open Firefox and go to Tools --> Options... in the top menu.
· Click the Content tab in the Firefox Options window.
· Click the first Exceptions button, enter www.weather.com in the Address of web site text box, click the Allow button, and click the Close button.
· Do the same with the second Exceptions button.


Tray icon not loading at Windows startup
1. Make sure you have the Load when Windows starts check box checked in the General tab of the Weather Watcher Options window.

2. If you're using the Windows Hide inactive icons taskbar setting, then double- check that Weather Watcher is set to always show.

Note: You can access the taskbar options window by right-clicking an empty area on the Windows taskbar and choosing "Properties" from the right-click menu. This only applies if the Hide inactive icons check box is checked at the bottom of the taskbar options window.

3. Check if the Weather Watcher process (ww.exe) is running in the Processes tab of the Windows Task Manager. Press ALT+CTRL+DEL to access the Windows Task Manager.

Note: If the ww.exe process is present, then the problem is most likely being caused by a conflict on your computer. See the links below for a boatload of advice on this issue:

http://www.techspot.com/vb/all/windows/t-4422-Win-XP-system-Tray.html

 http://www.techspot.com/vb/showthread.php?s=&threadid=8642&perpage=15&pagenumber=1


Access Weather Watcher Options
The Weather Watcher Options window can be accessed in the following ways:

1. Right-click the Weather Watcher system tray icon and choose Options....

2. Right-click the main Weather Watcher interface to access the same menu.


Disable the wallpaper feature
To disable the wallpaper feature:

1. Select "Never auto update" from the dropdown box in the "Wallpaper" Weather Watcher Options.

2. Uncheck all of the check boxes in the Wallpaper Weather Watcher Options.

3. Manually reset your wallpaper by right-clicking an empty area on your desktop, choosing Properties from the dropdown menu, and changing the wallpaper image from the Desktop tab.


Find all cities for a particular country
Follow the instructions below to look up a list of available cities at weather.com:

1. Go to: http://www.weather.com/common/welcomepage/world.html

2. Type the name of your country in the Enter a Location text box and click GO.


Install new skins
Additional Weather Watcher Skins can be downloaded from the Weather Watcher forums at the following link:

http://www.singerscreations.com/Forum/viewforum.php?f=23&sid=dbeb0c07d3a1f85a818f8bf6f95ec143


Print forecasts
Since the forecasts are displayed within an instance of Internet Explorer, you can access the Internet Explorer menu by right-clicking anywhere on the forecast area in Weather Watcher. To print a forecast, right-click anywhere in the forecast area and choose Print... from the dropdown menu.


Rotate desktop wallpaper maps
To Setup a Map Rotation:

1. Set the desired map interval in Wallpaper tab of the Weather Watcher Options window.

2. Hold down the CTRL key and select each map from the map list by clicking the map name.

3. Click the OK button to save your changes and prepare to watch your selected maps rotate on your desktop at the set interval.


Uninstall Weather Watcher
Follow the steps below to uninstall Weather Watcher:

1. Make sure Weather Watcher is not running. Select "Exit" from the Weather Watcher system tray icon menu to shut down Weather Watcher.

Note: If Weather Watcher is running, but you cannot see the Weather Watcher system tray icon, then end all ww.exe and dl.exe processes from the Processes tab in the Windows Task Manager. Press ALT+CTRL+DEL to access the Windows Task Manager.

2. Once, Weather Watcher has been closed, run the uninstall program from the Add/Remove section of the Windows Control Panel, or from the Weather Watcher folder in your Windows Start menu.

Note: In Windows Vista, the Add/Remove Windows Control Panel section has been renamed to Programs and Features.

3. When you run Weather Watcher, it creates some files that contain your user settings. Since the uninstaller does not know those files exist, it will not remove them. You can manually remove them by deleting the "C:\Program Files\Weather Watcher" folder, or the folder where you installed Weather Watcher.


Template Codes
The following data tags can be used to customize the look of the Weather Watcher forecast skins. You'll find the skins in the following location:

C:\Program Files\Weather Watcher\Skins

The data tags can also be used to customize the data that is displayed in the Export and Log features. Those features can be setup in the "Export" and "Log" tabs of the Weather Watcher Options window.

Unfortunately, there aren't detailed instructions regarding this process, but you should be able to figure the process out if you have a basic understanding of HTML and take a few minutes to look through the *.WTP template files in the "C:\Program Files\Weather Watcher\Skins\Forecasts" folder.

The following codes can be used in all of the .WTP template files:

Current Data Tags:

[ALERT ID] = 80981|77316
[ALERTS AVAILABLE] = False
[ALERTS COUNT] = N/A
[ALERTS SOUND] = C:\Program Files\Weather Watcher\(None)
[ALERTS SOUND ESC] = C:\\Program Files\\Weather Watcher\(None)
[ALERTS SOUND SLASH] = C:/Program Files/Weather Watcher/(None)
[BAROMETER] = 753.6 mm and steady
[BAROMETER PLAIN] = 753.6
[BAROMETER PLAIN NOT CONVERTED] = 29.67
[CODE] = USPA0679
[CONDITION] = Cloudy and Windy
[DATE] = 4/3/2006
[DEW] = 8°C
[DEW PLAIN] = 8
[DEW PLAIN NOT CONVERTED] = 47
[DEW RETURN] = 8°C<BR>
[DEW PARENS] = 8°C
[DOWNLOADED DATETIME] = 4/3/2006 10:37:32 PM
[FEELS] = 10°C
[FEELS PLAIN] = 10
[FEELS PLAIN NOT CONVERTED] = 50
[FEELS RETURN] = 10°C<BR>
[FEELS PARENS] = 10°C
[HUMIDITY] = 89%
[HUMIDITY PLAIN] = 89
[HUMIDITY PLAIN NOT CONVERTED] = 89
[ICON] = http://image.weather.com/web/common/wxicons/52/26.gif
[LOCATION] = Harrisburg, PA
[MOON] = Waxing Crescent
[MOON ICON] = http://image.weather.com/web/common/moonicons/52/6.gif
[SEVERE ALERT] =
[SUNRISE] = 6:48
[SUNRISE AMPM] = 6:48 AM
[SUNSET] = 7:34
[SUNSET AMPM] = 7:34 PM
[TEMP] = 10°C
[TEMP PLAIN] = 10
[TEMP PLAIN NOT CONVERTED] = 50
[TEMP RETURN] = 10°C<BR>
[TEMP PARENS] = 10°C
[TEMP HIGH] = 10°C
[TEMP HIGH PLAIN] = 10
[TEMP HIGH PLAIN NOT CONVERTED] = 50
[TEMP HIGH RETURN] = 10°C<BR>
[TEMP HIGH PARENS] = 10°C
[TEMP LOW] = 10°C
[TEMP LOW PLAIN] = 10
[TEMP LOW PLAIN NOT CONVERTED] = 50
[TEMP LOW RETURN] = 10°C<BR>
[TEMP LOW PARENS] = 10°C
[TIME] = 10:37:32 PM
[UPDATED] = Observed Monday, April 3 @ 10:25 PM EDT @ T74002111
Downloaded Monday, April 3 @ 10:37 PM
[UPDATED DATETIME] = 4/3/06 10:25 PM EDT
[UV] = 0 Low
[UV PLAIN] = 0
[VISIBILITY] = 4.0 miles
[VISIBILITY PLAIN] = 4.0
[VISIBILITY PLAIN NOT CONVERTED] = 4.0
[WIND FULL] = NNE 11 km/h
[WIND] = 11 km/h
[WIND PLAIN] = 11
[WIND PLAIN NOT CONVERTED] = 7
[WIND NO DIRECTION] = 11 km/h
[WIND NO GUST] = NNE 11 km/h
[WIND DIRECTION] = NNE
[WIND GUST] = N/A
[WIND GUST PLAIN] = N/A

Hourly Data Tags:

[HOURLY CONDITION] = Rain
[HOURLY DAY] = Monday
[HOURLY DAY ABBREV] = Mon
[HOURLY DEW] = 8°C
[HOURLY DEW RETURN] = 8°C<BR>
[HOURLY DEW PARENS] = 8°C
[HOURLY FEELS] = 10°C
[HOURLY FEELS RETURN] = 10°C<BR>
[HOURLY FEELS PARENS] = 10°C
[HOURLY HOUR] = 11 PM
[HOURLY HUMIDITY] = 69%
[HOURLY ICON] = http://image.weather.com/web/common/wxicons/52/12.gif
[HOURLY PRECIPITATION] = 60%
[HOURLY TEMP] = 10°C
[HOURLY TEMP RETURN] = 10°C<BR>
[HOURLY TEMP PARENS] = 10°C
[HOURLY WIND FULL] = W 3 km/h
[HOURLY WIND] = 3 km/h
[HOURLY WIND PLAIN] = 3
[HOURLY WIND NO DIRECTION] = 3 km/h
[HOURLY WIND NO GUST] = W 3 km/h
[HOURLY WIND DIRECTION] = W
[HOURLY WIND DIRECTION IMAGE] = W

Daily Data Tags:

[DAILY CONDITION DAY] = Cloudy
[DAILY CONDITION NIGHT] = Rain
[DAILY DATE] = Apr 3
[DAILY DAY] = Monday
[DAILY DAY ABBREV] = Mon
[DAILY HI] = 6°C
[DAILY HI RETURN] = 6°C<BR>
[DAILY HI PARENS] = 6°C
[DAILY HUMIDITY DAY] = 70%
[DAILY HUMIDITY NIGHT] = 64%
[DAILY ICON DAY] = http://image.weather.com/web/common/wxicons/52/44.gif
[DAILY ICON NIGHT] = http://image.weather.com/web/common/wxicons/52/12.gif
[DAILY LO] = 6°C
[DAILY LO RETURN] = 6°C<BR>
[DAILY LO PARENS] = 6°C
[DAILY PRECIPITATION DAY] = 70%
[DAILY PRECIPITATION NIGHT] = 70%
[DAILY SUNRISE] = 6:48
[DAILY SUNRISE AMPM] = 6:48 AM
[DAILY SUNSET] = 7:34
[DAILY SUNSET AMPM] = 7:34 PM
[DAILY WIND FULL DAY] = W 27 km/h
[DAILY WIND DAY] = 27 km/h
[DAILY WIND PLAIN DAY] = 27
[DAILY WIND NO DIRECTION DAY] = N/A
[DAILY WIND NO GUST DAY] = N/A
[DAILY WIND FULL NIGHT] = W 27 km/h
[DAILY WIND NIGHT] = 27 km/h
[DAILY WIND PLAIN NIGHT] = 27
[DAILY WIND NO DIRECTION NIGHT] = 27 km/h
[DAILY WIND NO GUST NIGHT] = W 27 km/h
[DAILY WIND DIRECTION DAY] = NNW
[DAILY WIND DIRECTION NIGHT] = W

Detailed Data Tags:

[DETAILED DATE] = Apr 3
[DETAILED DAY] = Monday Night
[DETAILED DAY ABBREV] = Mon
[DETAILED FORECAST] = Occasional rain tapering to a few showers late. Low 6°C. W winds at 8 km/h to 16 km/h, increasing to 15 to 40 km/h. Chance of rain 70%. Rainfall around a quarter of 2.5 cm.

Miscellaneous Tags:

[INSTALL LOCATION] = C:\Program Files\Weather Watcher
[INSTALL LOCATION ESC] = C:\\Program Files\\Weather Watcher
[INSTALL LOCATION SLASH] = C:/Program Files/Weather Watcher
[SKIN FORECASTS] = Splendid
[SKIN ICONS] = Splendid

Additional Log-Only Tags:

[CRLF]
[TAB]

When using the Hourly, Daily or Detailed tags, you must use them inside of a loop structure. See the following example for the loop structure syntax:

[HOURLY LOOP COUNT=5]
[TEMPLATE]
Day: [HOURLY DAY]
Condition: [HOURLY CONDITION]
[/TEMPLATE]
[/HOURLY LOOP]

Or, use multiple [TEMPLATE] tags to alternate row colors.

[HOURLY LOOP COUNT=5]
[TEMPLATE]
Day: [HOURLY DAY]
Condition: [HOURLY CONDITION]
[/TEMPLATE]
[TEMPLATE]
Day: [HOURLY DAY]
Condition: [HOURLY CONDITION]
[/TEMPLATE]
[/HOURLY LOOP]

In the above examples, the Day Name and Condition will be printed for the next 5 hours. To print all of the available hours, use a "*" in place of the "5".

[HOURLY LOOP COUNT=*]
[TEMPLATE]
Day: [HOURLY DAY]
Condition: [HOURLY CONDITION]
[/TEMPLATE]
[/HOURLY LOOP]

The Daily and Detailed data can be looped using a similar syntax.

[DAILY LOOP COUNT=5]
[TEMPLATE]
[DAILY DAY]
[DAILY CONDITION DAY]
[/TEMPLATE]
[/DAILY LOOP]

[DETAILED LOOP COUNT=5]
[TEMPLATE]
[DETAILED DAY]
[DETAILED FORECAST]
[/TEMPLATE]
[/DETAILED LOOP]

You can use the optional [START] tag to specify which item to print first. To print the
next 7 days starting tomorrow, set the [START] tag to "2".

[DAILY LOOP COUNT=7 START=2]
[TEMPLATE]
Day: [DAILY DAY]
Condition: [DAILY CONDITION DAY]
[/TEMPLATE]
[/DAILY LOOP]


Setup Command Line Parameters
The Weather Watcher setup was created using Inno Setup . The setup program accepts optional command line parameters. These can be useful to system administrators, and to other programs calling the setup program.

/SP-
Disables the This will install... Do you wish to continue? prompt at the beginning of the setup.

/SILENT, /VERYSILENT
Instructs the setup to be silent or very silent. When the setup is silent, the wizard and background window are not displayed but the installation progress window is. When a setup is very silent, the installation progress window is not displayed. Everything else will display as usual (e.g. error messages during installation).

If a restart is necessary and the '/NORESTART' command isn't used (see below) and the setup is silent, it will display a Reboot now? message box. If it's very silent it will reboot without asking.

/SUPPRESSMSGBOXES
Instructs Setup to suppress message boxes. Only has an effect when combined with '/SILENT' and '/VERYSILENT'.

/LOG
Causes the setup to create a log file in the user's TEMP directory detailing file installation and [Run] actions taken during the installation process. This can be a helpful debugging aid. The log file is created with a unique name based on the current date.

/LOG="filename"
Same as /LOG, except it allows you to specify a fixed path/filename to use for the log file. If a file with the specified name already exists it will be overwritten. If the file cannot be created, the setup will abort with an error message.

/NOCANCEL
Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with '/SILENT' or '/VERYSILENT'.

/NORESTART
Instructs the setup not to reboot even if it's necessary.

/DIR="x:\dirname"
Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.

/GROUP="folder name"
Overrides the default folder name displayed on the Select Start Menu Folder wizard page.

/NOICONS
Instructs the setup to initially check the Don't create any icons check box on the Select Start Menu Folder wizard page.


License Agreement
END USER LICENSE AGREEMENT FOR WEATHER WATCHER

Except where otherwise noted, all of the documentation and software included in the Weather Watcher package is copyrighted by Mike Singer.

This software is provided "as-is," without any express or implied warranty. In no event shall the author be held liable for any damages arising from the use of this software.

This Software is being distributed as Freeware. It may be freely used, copied and distributed as long as it is not sold, and all original files are included.


Distribution of Weather Watcher
Provided that you verify that you are distributing the latest version of Weather Watcher, you are hereby licensed to make as many copies of Weather Watcher and the Weather Watcher documentation as you wish; give exact copies of Weather Watcher to anyone; and distribute Weather Watcher and the Weather Watcher documentation in its unmodified form via electronic means.
You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Obtaining the Latest Version:
Before distributing Weather Watcher, please verify that you have the latest version. The latest version can be downloaded from the following link:

http://www.GetWeatherWatcher.com

Requirements:
Weather Watcher requires Windows 98, Windows 2000, Windows XP, or Windows Vista.

Author:
Mike Singer, Singer's Creations
E-mail: Mike@SingersCreations.com
Website: http://www.SingersCreations.com


Contacting Singer's Creations
Mike Singer
Singer's Creations

E-mail: Mike@SingersCreations.com
Website: http://www.SingersCreations.com

Support Forums: http://www.SingersCreations.com/Forum
Bug Report: http://www.SingersCreations.com/BugReport.asp